/************************************************************
 * Infinite Universe Engine:				                *
 *                                                          *
 * Interactive simulation of a solar system and             *
 * real-time rendering of planetary bodies with OpenGL      *
 * copyright  2002 Jochen Winzen                           *
 * winzen@online.de                                         *
 * -------------------------------------------------------- *
 * File:	JWInfiniteUniverseEngine.h                      *
 *                                                          *
 * Content: Header file of GUI adapter class                *
 *          Here we combine the GUI widgets with functions  *
 *          of our engine classes                           *
 *                                                          *
 * Author:  Jochen Winzen                                   *
 * Version: 2002/12/08                                      *
 ************************************************************
 */
#include "InfiniteUniverseEngine.h"

class JWInfiniteUniverseEngine : public InfiniteUniverseEngine
{
    Q_OBJECT
	
public:
	void initPlanetchoice(void);

public slots:
	void startAutopilot(void);
	void initDEMchoice(const QString &);
};



