#include "JWAstro.h"
#include <stdio.h>


double metersToAU(double d)
{
		return (d / M_PER_AU);
}

double metersToLY(double d)
{
		return (d / M_PER_LY);
}

const char *distStr(double d)
{
    char *buf = new char[80];

		double absd = (d < 0 ? -d : d);
		if (absd < 1.0e-6)
			sprintf(buf, "%6.3f nm", d * 1.0e9);
		else if (absd < 1.0e-2)
			sprintf(buf, "%6.3f mm", d * 1000);
		else if (absd < 1.0e3)
			sprintf(buf, "%6.3f m", d);
		else if (absd < 1.0e11)
			sprintf(buf, "%6.3f km", d / 1000);
		else if (absd < 1.0e15)
			sprintf(buf, "%6.3f AU", metersToAU(d));
		else
			sprintf(buf, "%6.3f ly", metersToLY(d));
		
		return buf;
}





